Android Question [Solved] Do I need support.v7.app.AppCompatActivity?

Discussion in 'Android Questions' started by asales, Jul 12, 2019.

  1. asales

    asales Well-Known Member Licensed User

    I use the line below in my projects:
    Code:
    #Extends: android.support.v7.app.AppCompatActivity
    I installed the new B4A and the AndroidX SDK.

    I tested to remove this line and, until now, I don't got errors or warning.

    Do I need this line in my updated projects?
     
  2. Erel

    Erel Administrator Staff Member Licensed User

    Are you using AppCompat and setting an AppCompat theme?

    If so then it is needed.

    Note that the compiler will convert it to the relevant AndroidX class automatically.
     
    asales and Peter Simpson like this.
  3. asales

    asales Well-Known Member Licensed User

    Yes. I use it.
    I tested to remove the line and I don't got any errors, but I'll return with the line to avoid any error that I have don't see yet.
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice